{% extends 'frontend/shared/layouts/default.html.twig' %}

{% block body %}
    <div id="banner-top" class='school-type'>
        <div class="swiper-container">
            <div class="swiper-wrapper">
                <div class="swiper-slide" style="background-image: url({{ asset('assets/images/slide/chapeau.jpg') }}); ">
                    <div class="caption">
                        <div class="container">
                            <div class="row text-center">
                                <div class="col-lg-8 col-md-10 col-12 center-col">
                                    <h1 class="txt-lag mt-0">
                                        <span class="title-line-1">Classement</span>
                                        <span class="title-line-2">Des {{ schoolType.name }} {{ currentYear }}</span>
                                    </h1>
                                    {{ include('frontend/shared/layouts/_search.html.twig') }}
                                    <div class="sroll">
                                        <a href="#tabledata" class="page-scroll">
                                            <p>Voir le classement</p>
                                            <span></span>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /. swiper-wrapper -->
        </div>
        <!-- /.swiper-container -->
    </div>
    <!-- /#banner-top -->

    <main id="main">
        <section class="home-container ranking-container">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-8 faq-container ranking-faq">
                        {% if questions|length > 0 %}
                        <div class="faq-box">
                            {% for question in questions %}
                            <div class="faq-row">
                                <h2>{{ question.name|raw }}</h2>
                                {{ question.content|raw }}
                            </div>
                            {% endfor %}
                        </div>
                        {% else %}
                        <div class="alert alert-info" role="alert">
                            En cours de rédaction...
                        </div>
                        {% endif %}

                        {% include 'frontend/news/_last_news.html.twig' %}

                        <div class="banner-mobile">
                            <a href="https://eduniversal-matching.com/inscription-etudiant?utm_source=StudiesAdvisor&utm_medium=Banners" target="_blank"><img src="{{ asset('assets/images/banner/banner-2.jpg') }}" alt=""/></a>
                        </div>

                        <div class="ranking-page">
                            <div class="ranking-section">
                                <div class="table-responsive">
                                    <table id="tabledata" class="table table-hover ranking-table" border="0" cellpadding="0" cellpadding="0" width="100%">
                                        <thead class="is-web">
                                            <tr>
                                                <td rowspan="2" class="text-center" width="150"><span class="icon rang">Rang {{ currentYear }}</span></td>
                                                <td rowspan="2"><span class="icon ecole">école</span></td>
                                                <td rowspan="2" class="text-center" width="150"><span class="icon point">Point {{ currentYear }}</span></td>
                                                <td colspan="2" class="border text-center"><span class="icon calendar">Année précédente</span></td>
                                            </tr>
                                            <tr>
                                                <td width="135" class="text-center"><span class="icon rang">Rang {{ previousYear }}</span></td>
                                                <td width="135" class="text-center"><span class="icon point">Point {{ previousYear }}</span></td>
                                            </tr>
                                        </thead>
                                        <thead class="is-mobile">
                                            <tr>
                                                <td rowspan="2" class="text-center small-screen" width="150"><span class="icon rang">Rang {{ currentYear }}</span></td>
                                                <td rowspan="2" valign="middle"><span class="icon ecole">école</span></td>
                                            </tr>
                                        </thead>
                                        <tbody id="ranking-list">
                                            {% for key, school in pagedResult.list %}
                                                {{ include('frontend/school_type/_row.html.twig', {school: school}) }}
                                            {% endfor %}
                                        </tbody>
                                    </table>
                                    <div style="text-align: center; padding: 0px 0 40px 0">
                                        {% if pagedResult.totalPages > pagedResult.currentPage %}
                                            <button class="btn btn-default" id="load-more-btn" style="display: none;">
                                                <span>Voir plus</span>
                                                <span class="process-hidden processing"><i class="fa fa-spinner fa-pulse "></i></span>
                                            </button>
                                        {% endif %}
                                    </div>
                                    <div class="ranking-adv-bottom text-center"><a href="https://eduniversal-matching.com/inscription-etudiant?utm_source=StudiesAdvisor&utm_medium=Banners" target="_blank"><img src="{{ asset('ads/eduniversal-matching-ad-728x90.gif') }}?v=1" alt=""></a></div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-4 banner-container">
                        <div class="banner-box">
                            <a href="https://eduniversal-matching.com/inscription-etudiant?utm_source=StudiesAdvisor&utm_medium=Banners" target="_blank"><img src="{{ asset('assets/images/banner/banner-2.jpg') }}" alt=""/></a>
                        </div>
                    </div>
                </div>

            </div>
        </section>
    </main>
{% endblock %}
{% block javascripts %}
    {{ '<script type="application/ld+json">' | raw }}
    {{ richSnippets | json_encode | raw }}
    {{ '</script>' | raw }}

    <script type="text/javascript">
        let searchIdSchoolType = "{{ schoolType.id }}";
        const loadMoreSchoolUrl = "{{ path('schoolType.loadMore', {id: schoolType.id}) | escape('js') }}";
        var nextPage = {{ pagedResult.totalPages > pagedResult.currentPage ? pagedResult.currentPage + 1 : 'null' }};
        var inLoadingMoreSchool = false;
        function loadSchoolMore() {
          if (nextPage === null || inLoadingMoreSchool) {
            return;
          }

          inLoadingMoreSchool = true;

          $('#load-more-btn').prop('disabled', true);
          $('#load-more-btn').addClass('processing');

            // Turn on loading
            $.get(`${loadMoreSchoolUrl}?page=${nextPage}`)
              .done((resp) => {
                $('#ranking-list').append(resp.htmlData);

                nextPage = resp.totalPages > resp.currentPage ? resp.currentPage + 1 : null;

                if (nextPage === null) {
                  $('#load-more-btn').hide();
                }
              })
              .always(() => {
                inLoadingMoreSchool = false;
                $('#load-more-btn').prop('disabled', false);
                $('#load-more-btn').removeClass('processing');
              })
            ;
        }

        $(function () {
          if (nextPage !== null) {
            $('#load-more-btn').show();
          }

          $('#load-more-btn').click(function () {
            loadSchoolMore();
          });
        });
    </script>
{% endblock %}
